reated by https://www.gitignore.io/api/vim,c++,linux

### C++ ###
# Prerequisites
*.d

# Compiled Object files
*.slo
*.lo
*.o
*.obj

# Precompiled Headers
*.gch
*.pch

# Compiled Dynamic libraries
*.so
*.dylib

# Fortran module files
*.mod
*.smod

# Compiled Static libraries
*.lai
*.la
*.a
*.lib

# Executables
*.out
*.app

### CodeBlocks ###
# specific to CodeBlocks IDE
*.cbp
*.layout
*.depend

# generated directories
bin/
obj/

# auto-generated tag files